<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation &raquo;\PhpOffice\PhpSpreadsheet\Document\Security</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="../css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="../js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="../js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="../js/bootstrap.js" type="text/javascript"></script>
        <script src="../js/template.js" type="text/javascript"></script>
        <script src="../js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="../img/favicon.ico"/>
        <link rel="apple-touch-icon" href="../img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="../img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="../img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="../index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="../namespaces/task_23.html">task_23</a></li>                                    <li><a href="../namespaces/task_18.html">task_18</a></li>                                    <li><a href="../namespaces/task_22.html">task_22</a></li>                                    <li><a href="../namespaces/Composer.html">Composer</a></li>                                    <li><a href="../namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="../namespaces/Complex.html">Complex</a></li>                                    <li><a href="../namespaces/Psr.html">Psr</a></li>                                    <li><a href="../namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="../namespaces/Samples.html">Samples</a></li>                                    <li><a href="../namespaces/task_21.html">task_21</a></li>                                    <li><a href="../namespaces/task_24.html">task_24</a></li>                                    <li><a href="../namespaces/task_20.html">task_20</a></li>                                    <li><a href="../namespaces/task_17.html">task_17</a></li>                                    <li><a href="../namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="../markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="../deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>    <style>
        .deprecated h2 {
            text-decoration: line-through;
        }
    </style>
    <div class="row">
        <div class="span4">    <div class="btn-group view pull-right" data-toggle="buttons-radio">
        <button class="btn details" title="Show descriptions and method names"><i class="icon-list"></i></button>
        <button class="btn simple" title="Show only method names"><i class="icon-align-justify"></i></button>
    </div>
    <div class="btn-group visibility" data-toggle="buttons-checkbox">
        <button class="btn public active" title="Show public elements">Public</button>
        <button class="btn protected" title="Show protected elements">Protected</button>
        <button class="btn private" title="Show private elements">Private</button>
        <button class="btn inherited active" title="Show inherited elements">Inherited</button>
    </div>    <ul class="side-nav nav nav-list">
        <li class="nav-header">
            <i class="icon-custom icon-method"></i> Methods
            <ul>    <li class="methodpublic">
        <a href="#method___clone" title="__clone ::Implement PHP __clone to create a deep clone, not just a shallow copy.">
            <span class="description">Implement PHP __clone to create a deep clone, not just a shallow copy.</span><pre>__clone</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method___construct" title="__construct ::Create a new Document Security instance.">
            <span class="description">Create a new Document Security instance.</span><pre>__construct</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getLockRevision" title="getLockRevision ::Get LockRevision.">
            <span class="description">Get LockRevision.</span><pre>getLockRevision</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getLockStructure" title="getLockStructure ::Get LockStructure.">
            <span class="description">Get LockStructure.</span><pre>getLockStructure</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getLockWindows" title="getLockWindows ::Get LockWindows.">
            <span class="description">Get LockWindows.</span><pre>getLockWindows</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getRevisionsPassword" title="getRevisionsPassword ::Get RevisionsPassword (hashed).">
            <span class="description">Get RevisionsPassword (hashed).</span><pre>getRevisionsPassword</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getWorkbookPassword" title="getWorkbookPassword ::Get WorkbookPassword (hashed).">
            <span class="description">Get WorkbookPassword (hashed).</span><pre>getWorkbookPassword</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_isSecurityEnabled" title="isSecurityEnabled ::Is some sort of document security enabled?">
            <span class="description">Is some sort of document security enabled?</span><pre>isSecurityEnabled</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setLockRevision" title="setLockRevision ::Set LockRevision.">
            <span class="description">Set LockRevision.</span><pre>setLockRevision</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setLockStructure" title="setLockStructure ::Set LockStructure.">
            <span class="description">Set LockStructure.</span><pre>setLockStructure</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setLockWindows" title="setLockWindows ::Set LockWindows.">
            <span class="description">Set LockWindows.</span><pre>setLockWindows</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setRevisionsPassword" title="setRevisionsPassword ::Set RevisionsPassword.">
            <span class="description">Set RevisionsPassword.</span><pre>setRevisionsPassword</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setWorkbookPassword" title="setWorkbookPassword ::Set WorkbookPassword.">
            <span class="description">Set WorkbookPassword.</span><pre>setWorkbookPassword</pre>
        </a>
    </li>            </ul>
        </li>
        <li class="nav-header protected">» Protected
            <ul>            </ul>
        </li>
        <li class="nav-header private">» Private
            <ul>            </ul>
        </li>
        <li class="nav-header">
            <i class="icon-custom icon-constant"></i> Constants
            <ul>            </ul>
        </li>
    </ul>
        </div>

        <div class="span8">
            <div class="element class">
                <h1>Security</h1>
                <small style="display: block; text-align: right">                </small>
                <p class="short_description"></p>
                <div class="details">
                    <div class="long_description">
                    </div>
                    <table class="table table-bordered">                                <tr>
                                    <th>package                                    </th>
                                    <td><p>Default</p>
                                    </td>
                                </tr>                    </table>

                    <h3><i class="icon-custom icon-method"></i> Methods</h3>                        <a id="method___clone"></a>
                        <div class="element clickable methodpublic method___clone" data-toggle="collapse" data-target=".method___clone .collapse">
                            <h2>Implement PHP __clone to create a deep clone, not just a shallow copy.</h2>
                            <pre>__clone()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method___construct"></a>
                        <div class="element clickable methodpublic method___construct" data-toggle="collapse" data-target=".method___construct .collapse">
                            <h2>Create a new Document Security instance.</h2>
                            <pre>__construct()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_getLockRevision"></a>
                        <div class="element clickable methodpublic method_getLockRevision" data-toggle="collapse" data-target=".method_getLockRevision .collapse">
                            <h2>Get LockRevision.</h2>
                            <pre>getLockRevision(): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getLockStructure"></a>
                        <div class="element clickable methodpublic method_getLockStructure" data-toggle="collapse" data-target=".method_getLockStructure .collapse">
                            <h2>Get LockStructure.</h2>
                            <pre>getLockStructure(): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getLockWindows"></a>
                        <div class="element clickable methodpublic method_getLockWindows" data-toggle="collapse" data-target=".method_getLockWindows .collapse">
                            <h2>Get LockWindows.</h2>
                            <pre>getLockWindows(): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getRevisionsPassword"></a>
                        <div class="element clickable methodpublic method_getRevisionsPassword" data-toggle="collapse" data-target=".method_getRevisionsPassword .collapse">
                            <h2>Get RevisionsPassword (hashed).</h2>
                            <pre>getRevisionsPassword(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getWorkbookPassword"></a>
                        <div class="element clickable methodpublic method_getWorkbookPassword" data-toggle="collapse" data-target=".method_getWorkbookPassword .collapse">
                            <h2>Get WorkbookPassword (hashed).</h2>
                            <pre>getWorkbookPassword(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_isSecurityEnabled"></a>
                        <div class="element clickable methodpublic method_isSecurityEnabled" data-toggle="collapse" data-target=".method_isSecurityEnabled .collapse">
                            <h2>Is some sort of document security enabled?</h2>
                            <pre>isSecurityEnabled(): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setLockRevision"></a>
                        <div class="element clickable methodpublic method_setLockRevision" data-toggle="collapse" data-target=".method_setLockRevision .collapse">
                            <h2>Set LockRevision.</h2>
                            <pre>setLockRevision(boolean $pValue): \PhpOffice\PhpSpreadsheet\Document\Security</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>boolean</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Document.Security.html">\PhpOffice\PhpSpreadsheet\Document\Security</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setLockStructure"></a>
                        <div class="element clickable methodpublic method_setLockStructure" data-toggle="collapse" data-target=".method_setLockStructure .collapse">
                            <h2>Set LockStructure.</h2>
                            <pre>setLockStructure(boolean $pValue): \PhpOffice\PhpSpreadsheet\Document\Security</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>boolean</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Document.Security.html">\PhpOffice\PhpSpreadsheet\Document\Security</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setLockWindows"></a>
                        <div class="element clickable methodpublic method_setLockWindows" data-toggle="collapse" data-target=".method_setLockWindows .collapse">
                            <h2>Set LockWindows.</h2>
                            <pre>setLockWindows(boolean $pValue): \PhpOffice\PhpSpreadsheet\Document\Security</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>boolean</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Document.Security.html">\PhpOffice\PhpSpreadsheet\Document\Security</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setRevisionsPassword"></a>
                        <div class="element clickable methodpublic method_setRevisionsPassword" data-toggle="collapse" data-target=".method_setRevisionsPassword .collapse">
                            <h2>Set RevisionsPassword.</h2>
                            <pre>setRevisionsPassword(string $pValue,boolean $pAlreadyHashed = false): \PhpOffice\PhpSpreadsheet\Document\Security</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>string</code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$pAlreadyHashed</h4>
                                                <code>boolean</code><p><p>If the password has already been hashed, set this to true</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Document.Security.html">\PhpOffice\PhpSpreadsheet\Document\Security</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setWorkbookPassword"></a>
                        <div class="element clickable methodpublic method_setWorkbookPassword" data-toggle="collapse" data-target=".method_setWorkbookPassword .collapse">
                            <h2>Set WorkbookPassword.</h2>
                            <pre>setWorkbookPassword(string $pValue,boolean $pAlreadyHashed = false): \PhpOffice\PhpSpreadsheet\Document\Security</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>string</code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$pAlreadyHashed</h4>
                                                <code>boolean</code><p><p>If the password has already been hashed, set this to true</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Document.Security.html">\PhpOffice\PhpSpreadsheet\Document\Security</a></code><p></p>                                </div>
                            </div>

                        </div>                        <h3><i class="icon-custom icon-property"></i> Properties</h3>                            <a id="property_lockRevision"> </a>
                            <div class="element clickable propertyprivate property_lockRevision" data-toggle="collapse" data-target=".property_lockRevision .collapse">
                                <h2>LockRevision.</h2>
                                <pre>lockRevision :boolean</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_lockStructure"> </a>
                            <div class="element clickable propertyprivate property_lockStructure" data-toggle="collapse" data-target=".property_lockStructure .collapse">
                                <h2>LockStructure.</h2>
                                <pre>lockStructure :boolean</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_lockWindows"> </a>
                            <div class="element clickable propertyprivate property_lockWindows" data-toggle="collapse" data-target=".property_lockWindows .collapse">
                                <h2>LockWindows.</h2>
                                <pre>lockWindows :boolean</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_revisionsPassword"> </a>
                            <div class="element clickable propertyprivate property_revisionsPassword" data-toggle="collapse" data-target=".property_revisionsPassword .collapse">
                                <h2>RevisionsPassword.</h2>
                                <pre>revisionsPassword :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_workbookPassword"> </a>
                            <div class="element clickable propertyprivate property_workbookPassword" data-toggle="collapse" data-target=".property_workbookPassword .collapse">
                                <h2>WorkbookPassword.</h2>
                                <pre>workbookPassword :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                </div>
            </div>
            <a id="\PhpOffice\PhpSpreadsheet\Document\Security"></a>
            <ul class="breadcrumb">
                <li><a href="../index.html"><i class="icon-custom icon-class"></i></a></li>
    <li><span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Document.html">Document</a></li>
                <li class="active"><span class="divider">\</span><a href="../classes/PhpOffice.PhpSpreadsheet.Document.Security.html">Security</a></li>
            </ul>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:55 +0000.<br/>
    </footer></body>
</html>
